#ifndef GAMEOBJECT_H
#define GAMEOBJECT_H

class Level;

class GameObject
{
public:
	GameObject(Level& level);
	virtual ~GameObject();

	virtual void update();
	virtual void render();

	int m_iLayer;

	bool operator()( const GameObject* go1, const GameObject* go2 ) const
	{
		return go1->m_iLayer < go2->m_iLayer;
	}

	bool isDead() { return dead; }

protected:
	Level& level;
	bool dead;
};

#endif