#pragma once
#include "GameObject.h"
#include <vector>
#include "TargetValue.h"

class Level;
class Field;

class CPlayerShip : public GameObject
{
public:
	CPlayerShip( Level& level );

	//constant values
	int m_iColor;

	int m_iKeyUp;
	int m_iKeyDown;
	int m_iKeyLeft;
	int m_iKeyRight;

	float m_fX;
	float m_fY;

	Level* m_pLevel;

	// variable values
	float m_fDepth;

	const static int c_iMaxStackSize= 8;
	std::vector< Field* > m_FieldStack;

	STargetValue m_tvX;
	STargetValue m_tvY;

	int m_iRow;

	virtual void update();
	virtual void render();

};