#ifndef TEST_H
#define TEST_H

#include "GameObject.h"

class Text : public GameObject
{
public:
	Text(Level& level, const std::string& text, float x, float y, float size, const hgeColor& color, float lifetime);
	~Text();

	void update();
	void render();

private:
	std::string text;
	float x, y;
	float size;
	hgeColor color;
	float lifetime;
	float age;
};

#endif