#ifndef GFX_H
#define GFX_H

extern int g_state;
extern HGE *g_hge;

extern HTEXTURE					g_texBlock;
extern hgeSprite*				g_sprFieldBlock[ 8 ];
extern float g_fBlockHeight;
extern float g_fBlockWidth;

extern HTEXTURE					g_texEnemies;
extern hgeSprite*				g_sprEnemy[8];

extern HTEXTURE					g_texFire;
extern hgeSprite*				g_sprFire;

extern HTEXTURE					g_texPlayer;
extern hgeSprite*				g_sprPlayer[3];

extern HTEXTURE					g_texCannon;
extern hgeSprite*				g_sprCannon;

extern HTEXTURE					g_texCrosshair;
extern hgeSprite*				g_sprCrosshair;

extern HTEXTURE					g_texRock;
extern hgeSprite*				g_sprRock;

extern HTEXTURE					g_texRocket;
extern hgeSprite*				g_sprRocket[3];

extern HTEXTURE					g_texFlame;
extern hgeSprite*				g_sprFlame[2];

extern HTEXTURE					g_texBackground;
extern hgeSprite*				g_sprBackground;

extern HTEXTURE					g_texStarEffect;
extern hgeSprite*				g_sprStarEffect;

extern HTEXTURE					g_texFlash;
extern hgeSprite*				g_sprFlash;

extern hgeFont*					g_fntBig;
extern hgeFont*					g_fntSmall;

extern HTEXTURE					g_texHeartEffect;
extern hgeSprite*				g_sprHeartEffect;
extern HTEXTURE					g_texRockEffect;
extern hgeSprite*				g_sprRockEffect;
extern HTEXTURE					g_texGirls[ 5 ];
extern hgeSprite*				g_sprGirls[ 5 ];

extern HTEXTURE					g_texSpeakBubble;
extern hgeSprite*				g_sprSpeakBubble;

extern HTEXTURE					g_texGameOver;
extern hgeSprite*				g_sprGameOver;

extern HTEXTURE					g_texTutorialBg;
extern HTEXTURE					g_texTutorial[3];
extern hgeSprite*				g_sprFullScreen;

extern int g_PlayerShipDepth;
extern int g_PlayerCannonDepth;
extern int g_EnemyDepth;
extern int g_TextDepth;

void loadAllGFX();
void unloadAllGFX();

inline int calcPan(float x)
{
	int pan = (int)(100.0f * (x - 512.0f) / 512.0f);
	if(pan < -100) pan = -100;
	else if(pan > 100) pan = 100;
	return pan;
}

#endif